# Interface IServerEvents

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type IServerEvents = interface(IInterface)`

## Description

Custom interface used to handle all the TCEFServerComponent events.

###### Attributes

GUID['{06A1B3C6-0967-4F6C-A751-8AA3A29E2FF5}']

## Hierarchy

- IInterface
- IServerEvents

## Overview

### Methods

| `procedure doOnServerCreated(const server: ICefServer);`
| `procedure doOnServerDestroyed(const server: ICefServer);`
| `procedure doOnClientConnected(const server: ICefServer; connection_id: Integer);`
| `procedure doOnClientDisconnected(const server: ICefServer; connection_id: Integer);`
| `procedure doOnHttpRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest);`
| `procedure doOnWebSocketRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest; const callback: ICefCallback);`
| `procedure doOnWebSocketConnected(const server: ICefServer; connection_id: Integer);`
| `procedure doOnWebSocketMessage(const server: ICefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt);`

## Description

### Methods

| `procedure doOnServerCreated(const server: ICefServer);`
ICefServerHandler

| `procedure doOnServerDestroyed(const server: ICefServer);`
This item has no description.

| `procedure doOnClientConnected(const server: ICefServer; connection_id: Integer);`
This item has no description.

| `procedure doOnClientDisconnected(const server: ICefServer; connection_id: Integer);`
This item has no description.

| `procedure doOnHttpRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest);`
This item has no description.

| `procedure doOnWebSocketRequest(const server: ICefServer; connection_id: Integer; const client_address: ustring; const request: ICefRequest; const callback: ICefCallback);`
This item has no description.

| `procedure doOnWebSocketConnected(const server: ICefServer; connection_id: Integer);`
This item has no description.

| `procedure doOnWebSocketMessage(const server: ICefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt);`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.